net.sf.jasperreports.charts.design

## Class JRDesignXySeries

- java.lang.Object
- - net.sf.jasperreports.charts.base.JRBaseXySeries
  - - net.sf.jasperreports.charts.design.JRDesignXySeries

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, JRXySeries, JRChangeEventsSupport, JRCloneable

      public class JRDesignXySeries
      extends JRBaseXySeries
      implements JRChangeEventsSupport

  Version:
    $Id: JRDesignXySeries.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROPERTY_AUTO_SORT`
    `static java.lang.String` | `PROPERTY_ITEM_HYPERLINK`
    `static java.lang.String` | `PROPERTY_LABEL_EXPRESSION`
    `static java.lang.String` | `PROPERTY_SERIES_EXPRESSION`
    `static java.lang.String` | `PROPERTY_X_VALUE_EXPRESSION`
    `static java.lang.String` | `PROPERTY_Y_VALUE_EXPRESSION`

    - ### Fields inherited from class net.sf.jasperreports.charts.base.JRBaseXySeries

      `autoSort, itemHyperlink, labelExpression, seriesExpression, xValueExpression, yValueExpression`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRDesignXySeries()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `JRPropertyChangeSupport` | `getEventSupport()` Returns the property change support object for this instance.
    `void` | `setAutoSort(java.lang.Boolean autoSort)`
    `void` | `setItemHyperlink(JRHyperlink itemHyperlink)` Sets the hyperlink specification for chart items.
    `void` | `setLabelExpression(JRExpression labelExpression)`
    `void` | `setSeriesExpression(JRExpression seriesExpression)`
    `void` | `setXValueExpression(JRExpression xValueExpression)`
    `void` | `setYValueExpression(JRExpression yValueExpression)`

    - ### Methods inherited from class net.sf.jasperreports.charts.base.JRBaseXySeries

      `getAutoSort, getItemHyperlink, getLabelExpression, getSeriesExpression, getXValueExpression, getYValueExpression`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROPERTY_ITEM_HYPERLINK

          public static final java.lang.String PROPERTY_ITEM_HYPERLINK

      See Also:
        Constant Field Values

    - #### PROPERTY_LABEL_EXPRESSION

          public static final java.lang.String PROPERTY_LABEL_EXPRESSION

      See Also:
        Constant Field Values

    - #### PROPERTY_SERIES_EXPRESSION

          public static final java.lang.String PROPERTY_SERIES_EXPRESSION

      See Also:
        Constant Field Values

    - #### PROPERTY_X_VALUE_EXPRESSION

          public static final java.lang.String PROPERTY_X_VALUE_EXPRESSION

      See Also:
        Constant Field Values

    - #### PROPERTY_Y_VALUE_EXPRESSION

          public static final java.lang.String PROPERTY_Y_VALUE_EXPRESSION

      See Also:
        Constant Field Values

    - #### PROPERTY_AUTO_SORT

          public static final java.lang.String PROPERTY_AUTO_SORT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JRDesignXySeries

          public JRDesignXySeries()

  - ### Method Detail

    - #### setSeriesExpression

          public void setSeriesExpression(JRExpression seriesExpression)

    - #### setXValueExpression

          public void setXValueExpression(JRExpression xValueExpression)

    - #### setYValueExpression

          public void setYValueExpression(JRExpression yValueExpression)

    - #### setLabelExpression

          public void setLabelExpression(JRExpression labelExpression)

    - #### setItemHyperlink

          public void setItemHyperlink(JRHyperlink itemHyperlink)

      Sets the hyperlink specification for chart items.
      Parameters:
        `itemHyperlink` - the hyperlink specification
      See Also:
        `JRBaseXySeries.getItemHyperlink()`

    - #### setAutoSort

          public void setAutoSort(java.lang.Boolean autoSort)

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `JRCloneable`
      Overrides:
        `clone` in class `JRBaseXySeries`

    - #### getEventSupport

          public JRPropertyChangeSupport getEventSupport()

      Description copied from interface: `JRChangeEventsSupport`
      Returns the property change support object for this instance.
      Specified by:
        `getEventSupport` in interface `JRChangeEventsSupport`
      Returns:
        the property change support object for this instance

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com